<blur-section>

    <blur-column>
        <blur-section
            gap
            padding
            :style="viewStyle({
                mobile: { borderBottom: '1px solid var(--color-border-primary-default)' },
            })">

            <blur-column>

                <mt-switch 
                    class="blur-switch-input"
                    @change="viewportSettings.container.columnWrap = $event"
                    :checked="viewportSettings.container.columnWrap"
                    :label="$tc('blurElysiumSlides.forms.slideDirectionColumn.label')" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="4">

                <blur-select-input 
                    :label="$tc('blurElysiumSlides.forms.slideContentOrder.label')"
                    :helpText="$tc('blurElysiumSlides.forms.slideContentOrder.helpText')"
                    :placeholder="viewportsPlaceholder('container.order', 'default', 'blurElysiumSlides.forms.slideContentOrder')"
                    :device="currentDevice"
                    :show-device="true"
                    :options="[
                        {value: 'default', label: $tc('blurElysiumSlides.forms.slideContentOrder.default') },
                        {value: 'reverse', label: $tc('blurElysiumSlides.forms.slideContentOrder.reverse') }
                    ]"
                    @on-device="deviceSwitch"
                    v-model:value="viewportSettings.container.order" /> 
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="4">

                <blur-number-input 
                    :label="$tc('blurElysiumSlides.forms.slideWidth.label')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('container.maxWidth', $t('blurElysium.general.noLimit'))"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.container.maxWidth"
                    @update-value="value => viewportSettings.container.maxWidth = value" /> 
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="4">

                <blur-colorpicker
                    :label="$tc('blurElysium.general.backgroundColor')"
                    v-model:value="slide.slideSettings.container.bgColor" />
            </blur-column>

        </blur-section>
    </blur-column>

    <blur-column>

        <blur-section
            gap
            padding
            :style="viewStyle({
                mobile: { borderBottom: '1px solid var(--color-border-primary-default)' },
            })"
            :title="$tc('blurElysium.general.spacing')"
            title-icon="blurph-ruler-bold">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input  
                    :label="$tc('blurElysium.general.paddingX')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('container.paddingX', 15)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.container.paddingX"
                    @update-value="value => viewportSettings.container.paddingX = value" /> 
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input       
                    :label="$tc('blurElysium.general.paddingY')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('container.paddingY', 15)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.container.paddingY"
                    @update-value="value => viewportSettings.container.paddingY = value" /> 
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input 
                    :label="$tc('blurElysium.general.gap')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('container.gap', 20)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.container.gap"
                    @update-value="value => viewportSettings.container.gap = value" /> 
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input 
                    :label="$tc('blurElysium.general.borderRadius')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('container.borderRadius', 0)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.container.borderRadius"
                    @update-value="value => viewportSettings.container.borderRadius = value" /> 
            </blur-column>

        </blur-section>
    </blur-column>

    <blur-column>
        <blur-section
            gap
            padding
            :title="$tc('blurElysium.general.alignment')"
            :description="$tc('blurElysiumSlides.forms.displayContainer.alignmentDescription')"
            title-icon="blurph-arrows-out-line-horizontal-bold">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-select-input 
                    :label="$tc('blurElysium.general.jusitifyContent')" 
                    :placeholder="viewportsPlaceholder('container.justifyContent', 'normal', 'blurElysium.general')"
                    :device="currentDevice"
                    :show-device="true"
                    :options="[
                        { value: 'normal', label: $tc('blurElysium.general.jusitifyNormal') },
                        { value: 'flex-start', label: $tc('blurElysium.general.jusitifyStart') },
                        { value: 'center', label: $tc('blurElysium.general.jusitifyCenter') },
                        { value: 'flex-end', label: $tc('blurElysium.general.jusitifyEnd') },
                        { value: 'stretch', label: $tc('blurElysium.general.jusitifyStretch') },
                        { value: 'space-between', label: $tc('blurElysium.general.jusitifyBetween') },
                        { value: 'space-around', label: $tc('blurElysium.general.jusitifyAroud') } 
                    ]"
                    @on-device="deviceSwitch"
                    v-model:value="viewportSettings.container.justifyContent" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-select-input 
                    :label="$tc('blurElysium.general.alignItemsLabel')" 
                    :placeholder="viewportsPlaceholder('container.alignItems', 'center', 'blurElysium.general')"
                    :device="currentDevice"
                    :show-device="true"
                    :options="[
                        { value: 'flex-start', label: $tc('blurElysium.general.alignStart') },
                        { value: 'center', label: $tc('blurElysium.general.alignCenter') },
                        { value: 'flex-end', label: $tc('blurElysium.general.alignEnd') }
                    ]"
                    @on-device="deviceSwitch"
                    v-model:value="viewportSettings.container.alignItems" />
            </blur-column>

        </blur-section>
    </blur-column>
</blur-section>